Behind the Blackboard! Web Conferencing - System Requirements for Blackboard Collaborate Web Conferencing 12.6 - Behind the Blackboard Skip Navigation
Download PDF  Icon Download PDF    Print article

Web Conferencing - System Requirements for Blackboard Collaborate Web Conferencing 12.6

Date Published: Oct 02,2019


CategoryProduct:First Time Users; Version:Web Conferencing
Article No.: 000037388
Product:
Collaborate -Web Conferencing

Client Technology:

Blackboard Collaborate Web Conferencing System Requirements

Below, please find the supported Operating Systems, supported Internet Browsers, and recommended system specifications for using Blackboard Collaborate Web Conferencing 12.6.

Definitions of Terms

Certified: fully tested and supported.
Compatible: partially tested and supported.
Provisional: untested but supported.
Unsupported: impossible or not supported.

Note: Later versions of a browser or operating system labeled Compatible or Certified are provisionally supported by Blackboard Collaborate Support unless otherwise noted.

Blackboard Collaborate Web Conferencing

 Internet Explorer 11Microsoft EdgeFirefox (Latest Stable Release)Chrome (Stable Channel)
Windows 8CertifiedUnsupportedCertifiedCertified
Windows 10ProvisionalCertifiedCertifiedCertified
 Safari
12.x
Safari 13.XFirefox (Latest Stable Release)Chrome (Stable Channel)
Mac OS  10.12CertifiedUnsupportedCertifiedCertified
Mac OS  10.13UnsupportedCertifiedCertifiedCertified
Mac OS  10.14UnsupportedCertifiedCertifiedCertified
Mac OS  10.15UnsupportedCertifiedCertifiedCertified


Managers and Admins using SAS should be aware that no modern browsers support the NPAPI browser plugin needed to run Java applets. Please review KBA 40427 for more details

Firefox (Latest Stable Release) - For information on Firefox's public development channels, refer to Firefox's Releases page. All other Firefox channels are unsupported.

Important Update: Mozilla has announced that Firefox will stop supporting NPAPI plugins as of March 7th, 2017.  This includes the Java applets that the SAS uses as well as any NPAPI plugin.   Please review KBA 40427 for more details.

Chrome (Stable Channel) - For information on Chrome's release channels, refer to the Chrome Release Channels page. All other Chrome channels are unsupported. Chrome does not support Java 7 on the Mac platform.  A 64-bit browser (Safari or Firefox, for example) is required to run Java 7 on Mac OS X. 32-bit browsers such as Chrome do not support Java 7 on the Mac platform.

Important Update: Google Chrome, "Version 45.0.2454.85 has permanently stopped supporting NPAPI browser plugins. This includes the Java applets that the SAS uses as well as any NPAPI pluginPlease review KBA 40427 for more details



Linux - Linux (all distributions) is NOT supported for use with Blackboard Collaborate Web Conferencing.

Chrome OS - Chrome OS and Chromebooks are NOT supported for use with Blackboard Collaborate Web Conferencing.

Supported Java Versions

Note: 32 bit operating systems require a 32 bit JVM. 64 bit operating systems require a 64 bit JVM.

Operating SystemJava Versions (JRE)
Windows 8, Windows 10

Java 7 and Java 8
Java Access Bridge 2.0.1

Mac OS X


Oracle Java 7 and Java 8

 Additional Requirements:

  • 256 MB RAM
  • 20 MB free disk space
  • Internet Access - 28.8 kbps speed or above (Broadband connection highly recommended)
  • Soundcard with microphone and headphones (A headset with microphone/headphones is highly recommended)
  • Webcam (optional) 
  • Note: Thin client solutions such as Citrix Metaframe and Virtual Machines are NOT supported for use with Blackboard Collaborate Web Conferencing.

System Requirements for Blackboard Collaborate mobile web conferencing:

Blackboard Collaborate Mobile Web Conferencing system requirements: Mobile - System Requirements for Blackboard Collaborate Mobile Web Conferencing

Supported Document Versions:

To find out which versions of Microsoft PowerPoint and OpenOffice/StarOffice Impress are supported in Blackboard Collaborate please refer to Blackboard Collaborate - What versions of Microsoft PowerPoint and OpenOffice/StarOffice Impress can I use with Blackboard Collaborate Web Conferencing?


The information contained in the Knowledge Base was written and/or verified by Blackboard Support. It is approved for client use. Nothing in the Knowledge Base shall be deemed to modify your license in any way to any Blackboard product. If you have comments, questions, or concerns, please send an email to kb@blackboard.com. © 2020 Blackboard Inc. All rights reserved